%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Summary:          A logging facade
Name:             jboss-logging
Version:          3.4.1
Release:          3%{?dist}
License:          Apache-2.0
URL:              https://github.com/jboss-logging/jboss-logging
Source0:          %{url}/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

Patch3000:        0001-Drop-log4j-dependency.patch
Patch3001:        0001-Drop-jboss-logmanager-dependency.patch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.slf4j:slf4j-api)

BuildArch:        noarch
ExclusiveArch:    %{java_arches} noarch


%description
JBoss Logging is a logging facade which can bind to
different log managers allowing your applications
to be log manager agnostic.

%prep
%autosetup -n %{name}-%{namedversion} -p1

%pom_remove_plugin :maven-source-plugin

cp -p src/main/resources/META-INF/LICENSE.txt .
sed -i 's/\r//' LICENSE.txt

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 3.4.1-1
- initial build
